import { IWidgetInstanceInternal } from "../orchestrator/IWidgetInstanceInternal";
import { WidgetApi } from "../orchestrator/WidgetApi";
import { IWidgetStatusInternal, WidgetStatusEventInternal } from "./widgetInternalApi.interfaces";
export declare type statusApiSource = "widgetSignIn" | "widgetSignInSuccessful" | "widgetReady" | "widgetError";
export declare class WidgetStatusApi extends WidgetApi implements IWidgetStatusInternal {
    private _lastUpdated;
    private _showStatus;
    private _eventListenersInternal;
    private _outlookSignInButtonCallback;
    constructor(widgetInstance: IWidgetInstanceInternal);
    outlookSignInButtonCallback(): void;
    showLastUpdated(date: Date): void;
    hideLastUpdated(): void;
    signedOut(): void;
    signedIn(): void;
    getStatus(): string;
    widgetReady(): void;
    widgetError(message: string): void;
    widgetSignIn(signInButtonClicked: () => void): void;
    widgetSignInSuccessful(): void;
    addStatusEventListenerInternal(listener: (eventName: WidgetStatusEventInternal) => void): void;
    removeStatusEventListenerInternal(listener: (eventName: WidgetStatusEventInternal) => void): void;
    private fireEventInternal;
    private statusApiCalled;
}
